# Class TpaRequestComponent

java.lang.Object
net.miarma.hystuff.component.TpaRequestComponent

All Implemented Interfaces:
  `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, Cloneable`

public class TpaRequestComponent extends Object implements com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TpaRequestComponent.RequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.hypixel.hytale.codec.builder.BuilderCodec<TpaRequestComponent>`
`CODEC`

### Fields inherited from interface com.hypixel.hytale.component.Component

`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`TpaRequestComponent()`

## Method Summary

Modifier and Type
Method
Description
`com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
`clone()`
`long`
`getCreatedAt()`
`com.hypixel.hytale.math.vector.Vector3d`
`getInitialPosition()`
`UUID`
`getRequester()`
`TpaRequestComponent.RequestType`
`getType()`
`void`
`setCreatedAt(long createdAt)`
`void`
`setInitialPosition(com.hypixel.hytale.math.vector.Vector3d initialPosition)`
`void`
`setRequester(UUID requester)`
`void`
`setType(TpaRequestComponent.RequestType type)`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.hypixel.hytale.component.Component

`cloneSerializable`

## Field Details

### CODEC

public static final com.hypixel.hytale.codec.builder.BuilderCodec<TpaRequestComponent> CODEC

## Constructor Details

### TpaRequestComponent

public TpaRequestComponent()

## Method Details

### getRequester

public UUID getRequester()

### setRequester

public void setRequester(UUID requester)

### getType

public TpaRequestComponent.RequestType getType()

### setType

public void setType(TpaRequestComponent.RequestType type)

### getCreatedAt

public long getCreatedAt()

### setCreatedAt

public void setCreatedAt(long createdAt)

### getInitialPosition

public com.hypixel.hytale.math.vector.Vector3d getInitialPosition()

### setInitialPosition

public void setInitialPosition(com.hypixel.hytale.math.vector.Vector3d initialPosition)

### clone

@NullableDecl public com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> clone()

Specified by:
  `clone` in interface `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
Overrides:
  `clone` in class `Object`